Page MenuHomePhabricator

Extension FanBoxes failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm-jessie-non-voting/132/console

22:37:37 There were 2 failures:
22:37:37 
22:37:37 1) ApiDocumentationTest::testDocumentationExists with data set "Module fanboxes with MiserMode=false, AllowCategorizedRecentChanges=false" ('fanboxes', array(false, false))
22:37:37 Module description message apihelp-fanboxes-description exists
22:37:37 Failed asserting that false is true.
22:37:37 
22:37:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
22:37:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
22:37:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
22:37:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
22:37:37 
22:37:37 2) ApiDocumentationTest::testDocumentationExists with data set "Module fanboxes with MiserMode=true, AllowCategorizedRecentChanges=true" ('fanboxes', array(true, true))
22:37:37 Module description message apihelp-fanboxes-description exists
22:37:37 Failed asserting that false is true.
22:37:37 
22:37:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
22:37:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
22:37:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
22:37:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
22:37:37 
22:37:37 FAILURES!

Details

Related Gerrit Patches:
integration/config : masterMake FanBoxes tests voting
mediawiki/extensions/FanBoxes : masterAdd apihelp messages to pass unit tests

Event Timeline

Restricted Application added a project: Social-Tools. · View Herald TranscriptJan 10 2017, 6:30 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald Transcript
DatGuy claimed this task.Jan 13 2017, 5:39 PM
SamanthaNguyen moved this task from Backlog to i18n on the FanBoxes board.Jan 15 2017, 8:07 PM

Hey @DatGuy: It's been 15 days (2 weeks-ish), are you still planning to work on this? If not, I'm willing to :-)

@SamanthaNguyen I'm not very familiar with fanboxes, so I'd like T155272 to be done before this one. Then again, if that is done also this one is, so feel free to reassign this from me to you.

SamanthaNguyen added a subscriber: DatGuy.

Change 368555 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/FanBoxes@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/368555

Change 368555 merged by jenkins-bot:
[mediawiki/extensions/FanBoxes@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/368555

Umherirrender closed this task as Resolved.Aug 3 2017, 8:53 AM
Umherirrender claimed this task.
Umherirrender triaged this task as Medium priority.

Change 369858 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Make FanBoxes tests voting

https://gerrit.wikimedia.org/r/369858

Change 369858 merged by jenkins-bot:
[integration/config@master] Make FanBoxes tests voting

https://gerrit.wikimedia.org/r/369858